Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Categories

List
GET /calendarmodules/{moduleId}/categories
https://api.uat.relesystest.net/api/v1.4/calendarmodules/{moduleId}/categories
Get a list of calendar categories.
Scopes: relesys.api, relesys.api:read, relesys.api.calendars, relesys.api.calendars:read
URL Path
moduleId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"5ea1dd77-28fe-4a7d-b127-d531b51a8a67","url":null,"creationDateTime":"2026-08-22T00:42:35.2150119+00:00","lastModifiedDateTime":"2026-08-23T00:42:35.2150119+00:00","locales":[{"culture":"en-GB","title":"Calendar category locale title example 1"},{"culture":"da-DK","title":"Calendar category locale title example 2"}]},{"id":"76d717e3-ac42-4c46-ab29-6bd633e122ef","url":null,"creationDateTime":"2026-08-22T00:42:35.2150119+00:00","lastModifiedDateTime":"2026-08-23T00:42:35.2150119+00:00","locales":[{"culture":"en-GB","title":"Calendar category locale title example 1"}]}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    culture string      
    title string      
   url string      
  nextUrl string      
  previousUrl string